Index

## Global Objects

- rap
- SWT

## Types

- $
- Button
- Canvas
- Client
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- ScrolledComposite
- Slider
- Spinner
- Text
- Widget

# Type Label

Extends Control.
RWT Scripting analoge to org.eclipse.swt.widgets.Label

Type Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Label() The constructor is not public.

Fields borrowed from class Widget:
  $el

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getText() Returns the widget text.
| setText(text) Sets the receivers text to the given string.

Methods borrowed from class Control:
  addListener, forceFocus, getBackground, getCursor, getEnabled, getForeground, getToolTipText, getVisible, removeListener, setBackground, setEnabled, setForeground, setToolTipText, setVisible
Methods borrowed from class Widget:
  getData, setData

Events borrowed from class Control:
  Dispose, FocusIn, FocusOut, Hide, KeyDown, KeyUp, MouseDoubleClick, MouseDown, MouseEnter, MouseExit, MouseMove, MouseUp, MouseWheel, Paint, Show

Type Detail
Label()
The constructor is not public.

Since:
  2.2

Method Detail
{string} getText()
Returns the widget text.

Returns:
  {string} the widget text

setText(text)
Sets the receivers text to the given string.

Parameters:
{string} text
  the new text

Copyright (c) EclipseSource and others 2013, 2017. All rights reserved.